# 88. Módosítás: ZonesMap exportálása tömörített Shapefile-ként

Hozzon létre egy zip archívumot a kiválasztott "ZonesMap" shapefile-ként történő exportálásával.

{% hint style="info" %}
Az archívum \*.shp, \*.shx, \*.prj, \*.dbf fájlokat tartalmaz EPSG:4326 vetületi rendszerben.
{% endhint %}

### 1. Előkészítés

* A attributum `vectorAnalysisMaps` tartalmaz egy tömböt ZonesMaps (VectorAnalysisMaps) objektumokból, amelyeket exportálni kell. Minden ilyen objektum egy párt tartalmaz `fieldUuid` (kapcsolat a kiválasztott táblához) és `uuid` (kapcsolat a kiválasztott ZonesMap-hez).
* A logikai (boolean) attribútum `asMultiGeometry` meghatározza, hogy a zónák exportálása `Poligonokként` vagy `MultiPoligonokként` (ha beállítva `true` ).
* A logikai (boolean) attribútum `onlyProductColumns` meghatározza, hogy csak a termékoszlopok (RX) szerepeljenek-e a shapefile-ban (amikor `true`). Ellenkező esetben minden statisztikai attribútum és zónaazonosító oszlopként szerepel majd.
* A attributum `archiveName` tartalmazza a generált zip archívum nevét.
* A attributum `filePostfix` lehetővé teszi egyedi postfixek hozzáadását az exportált fájlokhoz és az archívumhoz.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    bemenet: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Töltse le a létrehozott archívumot

A GraphQL lekérdezés végrehajtása után lehetséges letölteni azt a használatával `curl` vagy hasonló módszerrel.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-keresek-attekintese/88.-modositas-zonesmap-exportalasa-tomoritett-shapefile-kent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
